Perfstat.perfstat_partition_config_t (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.aix, interface: Perfstat, class: perfstat_partition_config_t

Package com.sun.jna.platform.unix.aix

# Class Perfstat.perfstat_partition_config_t

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.aix.Perfstat.perfstat_partition_config_t

Enclosing interface:
  Perfstat

@FieldOrder({"version","partitionname","nodename","conf","partitionnum","groupid","processorFamily","processorModel","machineID","processorMHz","numProcessors","OSName","OSVersion","OSBuild","lcpus","smtthreads","drives","nw_adapters","cpucap","cpucap_weightage","entitled_proc_capacity","vcpus","processor_poolid","activecpusinpool","cpupool_weightage","sharedpcpu","maxpoolcap","entpoolcap","mem","mem_weightage","totiomement","mempoolid","hyperpgsize","exp_mem","targetmemexpfactor","targetmemexpsize"}) public static class Perfstat.perfstat_partition_config_t extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `activecpusinpool`
  `int`
  `conf`
  `Perfstat.perfstat_value_t`
  `cpucap`
  `int`
  `cpucap_weightage`
  `int`
  `cpupool_weightage`
  `int`
  `drives`
  `int`
  `entitled_proc_capacity`
  `int`
  `entpoolcap`
  `Perfstat.perfstat_value_t`
  `exp_mem`
  `int`
  `groupid`
  `long`
  `hyperpgsize`
  `int`
  `lcpus`
  `byte[]`
  `machineID`
  `int`
  `maxpoolcap`
  `Perfstat.perfstat_value_t`
  `mem`
  `int`
  `mem_weightage`
  `int`
  `mempoolid`
  `byte[]`
  `nodename`
  `Perfstat.perfstat_value_t`
  `numProcessors`
  `int`
  `nw_adapters`
  `byte[]`
  `OSBuild`
  `byte[]`
  `OSName`
  `byte[]`
  `OSVersion`
  `byte[]`
  `partitionname`
  `int`
  `partitionnum`
  `int`
  `processor_poolid`
  `byte[]`
  `processorFamily`
  `double`
  `processorMHz`
  `byte[]`
  `processorModel`
  `int`
  `sharedpcpu`
  `int`
  `smtthreads`
  `long`
  `targetmemexpfactor`
  `long`
  `targetmemexpsize`
  `long`
  `totiomement`
  `Perfstat.perfstat_value_t`
  `vcpus`
  `long`
  `version`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `perfstat_partition_config_t()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### version

    public long version

  - ### partitionname

    public byte[] partitionname

  - ### nodename

    public byte[] nodename

  - ### conf

    public int conf

  - ### partitionnum

    public int partitionnum

  - ### groupid

    public int groupid

  - ### processorFamily

    public byte[] processorFamily

  - ### processorModel

    public byte[] processorModel

  - ### machineID

    public byte[] machineID

  - ### processorMHz

    public double processorMHz

  - ### numProcessors

    public Perfstat.perfstat_value_t numProcessors

  - ### OSName

    public byte[] OSName

  - ### OSVersion

    public byte[] OSVersion

  - ### OSBuild

    public byte[] OSBuild

  - ### lcpus

    public int lcpus

  - ### smtthreads

    public int smtthreads

  - ### drives

    public int drives

  - ### nw_adapters

    public int nw_adapters

  - ### cpucap

    public Perfstat.perfstat_value_t cpucap

  - ### cpucap_weightage

    public int cpucap_weightage

  - ### entitled_proc_capacity

    public int entitled_proc_capacity

  - ### vcpus

    public Perfstat.perfstat_value_t vcpus

  - ### processor_poolid

    public int processor_poolid

  - ### activecpusinpool

    public int activecpusinpool

  - ### cpupool_weightage

    public int cpupool_weightage

  - ### sharedpcpu

    public int sharedpcpu

  - ### maxpoolcap

    public int maxpoolcap

  - ### entpoolcap

    public int entpoolcap

  - ### mem

    public Perfstat.perfstat_value_t mem

  - ### mem_weightage

    public int mem_weightage

  - ### totiomement

    public long totiomement

  - ### mempoolid

    public int mempoolid

  - ### hyperpgsize

    public long hyperpgsize

  - ### exp_mem

    public Perfstat.perfstat_value_t exp_mem

  - ### targetmemexpfactor

    public long targetmemexpfactor

  - ### targetmemexpsize

    public long targetmemexpsize

- ## Constructor Details

  - ### perfstat_partition_config_t

    public perfstat_partition_config_t()